%post

boot_partition=$(grub2-probe --target=device /boot)
blk_dev=$(lsblk -spnlo name $boot_partition | head -n2 |tail -n1)

BACKUP_DEVICE_UUID=\"$(grub2-probe --target=fs_uuid /backup)\"
PARENT_DEVICE_UUID=`blkid |grep -i LVM2_member | grep ${blk_dev} |awk '{ print $2 }' | awk -F '=' '{ print $2}'`

if [ -f /usr/bin/timeshift ];then
        echo "{
  \"backup_device_uuid\" : $BACKUP_DEVICE_UUID,
  \"parent_device_uuid\" : $PARENT_DEVICE_UUID,
  \"do_first_run\" : \"false\",
  \"btrfs_mode\" : \"false\",
  \"include_btrfs_home_for_backup\" : \"false\",
  \"include_btrfs_home_for_restore\" : \"false\",
  \"stop_cron_emails\" : \"true\",
  \"schedule_monthly\" : \"false\",
  \"schedule_weekly\" : \"false\",
  \"schedule_daily\" : \"false\",
  \"schedule_hourly\" : \"false\",
  \"schedule_boot\" : \"false\",
  \"count_monthly\" : \"2\",
  \"count_weekly\" : \"3\",
  \"count_daily\" : \"5\",
  \"count_hourly\" : \"6\",
  \"count_boot\" : \"5\",
  \"date_format\" : \"%Y-%m-%d %H:%M:%S\",
  \"exclude\" : [
    \"/root/**\",
    \"/home/**\"
  ],
  \"exclude-apps\" : [
  ]
}" >> /etc/timeshift/timeshift.json
sync
timeshift --create --comments "backup_of_base_os"
fi
%end
